## Package org.eclipse.jetty.http

Interface Summary
Generator
HttpContent: HttpContent.
HttpTokens: HTTP constants
Parser: Abstract interface for a connection Parser for use by Jetty.

Class Summary
AbstractGenerator: Abstract Generator.
EncodedHttpURI
HttpBuffers: Abstract Buffer pool.
HttpContent.ResourceAsHttpContent
HttpCookie
HttpFields: HTTP Fields.
HttpFields.Field
HttpGenerator: HttpGenerator.
HttpHeaders
HttpHeaderValues: Cached HTTP Header values.
HttpMethods
HttpParser
HttpParser.EventHandler
HttpSchemes
HttpStatus: HttpStatusCode enum class, for status codes based on various HTTP RFCs.
HttpURI: Http URI.
HttpVersions
MimeTypes
PathMap: URI path map to Object.
PathMap.Entry

Enum Summary
HttpStatus.Code

Exception Summary
HttpException

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.